package com.e6yun.project.sdk.api.pojo.basevo.saftey;

import com.google.common.base.MoreObjects;

import java.util.Date;
import java.util.List;

/**
 * @Description TODO
 * @Author xxx@e6yun.com
 * @Created Date: 2021/7/7 10:22
 * @ClassName TravelListVo
 * @Remark
 */
public class TravelListVo {

    private Integer curPage;
    private Integer pageSize;
    private String sortIndx;
    private String sortDir;
    private Long totalRecords;
    private List<VehicleActionVO> data;
    private Object otherObject;

    public Integer getCurPage() {
        return curPage;
    }

    public void setCurPage(Integer curPage) {
        this.curPage = curPage;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getSortIndx() {
        return sortIndx;
    }

    public void setSortIndx(String sortIndx) {
        this.sortIndx = sortIndx;
    }

    public String getSortDir() {
        return sortDir;
    }

    public void setSortDir(String sortDir) {
        this.sortDir = sortDir;
    }

    public Long getTotalRecords() {
        return totalRecords;
    }

    public void setTotalRecords(Long totalRecords) {
        this.totalRecords = totalRecords;
    }

    public List<VehicleActionVO> getData() {
        return data;
    }

    public void setData(List<VehicleActionVO> data) {
        this.data = data;
    }

    public Object getOtherObject() {
        return otherObject;
    }

    public void setOtherObject(Object otherObject) {
        this.otherObject = otherObject;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("curPage", curPage)
                .add("pageSize", pageSize)
                .add("sortIndx", sortIndx)
                .add("sortDir", sortDir)
                .add("totalRecords", totalRecords)
                .add("data", data)
                .add("otherObject", otherObject)
                .toString();
    }
}
